| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | List of all members
cv::large_kinfu::Params Struct Reference

`#include <opencv2/rgbd/large_kinfu.hpp>`

Collaboration diagram for cv::large_kinfu::Params:

## Static Public Member Functions
static Ptr< Params > | coarseParams ()
| Coarse parameters.
static Ptr< Params > | defaultParams ()
| Default parameters.
static Ptr< Params > | hashTSDFParams (bool isCoarse)
| HashTSDF parameters.

## Public Attributes
int | bilateral_kernel_size
| Kernel size in pixels for bilateral smooth.
float | bilateral_sigma_depth
| Depth sigma in meters for bilateral smooth.
float | bilateral_sigma_spatial
| Spatial sigma in pixels for bilateral smooth.
float | depthFactor
| pre-scale per 1 meter for input values
Size | frameSize
| frame size in pixels
float | icpAngleThresh
| angle threshold for ICP in radians
float | icpDistThresh
| distance theshold for ICP in meters
std::vector< int > | icpIterations
| number of ICP iterations for each pyramid level
Matx33f | intr
| camera intrinsics
Vec3f | lightPose
| light pose for rendering in meters
int | pyramidLevels
| Number of pyramid levels for ICP.
Matx33f | rgb_intr
| rgb camera intrinsics
float | truncateThreshold
| Threshold for depth truncation in meters.
float | tsdf_min_camera_movement
| Minimal camera movement in meters.
VolumeParams | volumeParams
| Volume parameters.

## Member Function Documentation

## ◆ coarseParams()

static Ptr< Params > cv::large_kinfu::Params::coarseParams | ( |  | ) |
| static

Coarse parameters.

A set of parameters which provides better speed, can fail to match frames in case of rapid sensor motion.

## ◆ defaultParams()

static Ptr< Params > cv::large_kinfu::Params::defaultParams | ( |  | ) |
| static

Default parameters.

A set of parameters which provides better model quality, can be very slow.

## ◆ hashTSDFParams()

static Ptr< Params > cv::large_kinfu::Params::hashTSDFParams | ( | bool | isCoarse | ) |
| static

HashTSDF parameters.

A set of parameters suitable for use with HashTSDFVolume

## Member Data Documentation

## ◆ bilateral_kernel_size

int cv::large_kinfu::Params::bilateral_kernel_size

Kernel size in pixels for bilateral smooth.

## ◆ bilateral_sigma_depth

float cv::large_kinfu::Params::bilateral_sigma_depth

Depth sigma in meters for bilateral smooth.

## ◆ bilateral_sigma_spatial

float cv::large_kinfu::Params::bilateral_sigma_spatial

Spatial sigma in pixels for bilateral smooth.

## ◆ depthFactor

float cv::large_kinfu::Params::depthFactor

pre-scale per 1 meter for input values

Typical values are: 5000 per 1 meter for the 16-bit PNG files of TUM database 1000 per 1 meter for Kinect 2 device 1 per 1 meter for the 32-bit float images in the ROS bag files

## ◆ frameSize

Size cv::large_kinfu::Params::frameSize

frame size in pixels

## ◆ icpAngleThresh

float cv::large_kinfu::Params::icpAngleThresh

angle threshold for ICP in radians

## ◆ icpDistThresh

float cv::large_kinfu::Params::icpDistThresh

distance theshold for ICP in meters

## ◆ icpIterations

std::vector<int> cv::large_kinfu::Params::icpIterations

number of ICP iterations for each pyramid level

## ◆ intr

Matx33f cv::large_kinfu::Params::intr

camera intrinsics

## ◆ lightPose

Vec3f cv::large_kinfu::Params::lightPose

light pose for rendering in meters

## ◆ pyramidLevels

int cv::large_kinfu::Params::pyramidLevels

Number of pyramid levels for ICP.

## ◆ rgb_intr

Matx33f cv::large_kinfu::Params::rgb_intr

rgb camera intrinsics

## ◆ truncateThreshold

float cv::large_kinfu::Params::truncateThreshold

Threshold for depth truncation in meters.

All depth values beyond this threshold will be set to zero

## ◆ tsdf_min_camera_movement

float cv::large_kinfu::Params::tsdf_min_camera_movement

Minimal camera movement in meters.

Integrate new depth frame only if camera movement exceeds this value.

## ◆ volumeParams

VolumeParams cv::large_kinfu::Params::volumeParams

Volume parameters.

The documentation for this struct was generated from the following file:

- opencv2/rgbd/large_kinfu.hpp